package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TarmdocumentohabilitanteDTO implements Serializable {

    private static final long serialVersionUID = 801576603640843L;

    private Long cdocumento;

    private String numerodocumento;

    private java.util.Date fechaemision;

    private java.util.Date fechaexpiracion;

    private String csolicitud;

    private String xpath;

    private String codigoarma;

    private Short cuentareimpresion;

    private String ccentrocontrol;

    private String observacion;

    private java.util.Date fechacambioexpiracion;

    private String pathsuspencion;

    private Integer carma;

    private Integer ctramite;

    private Integer personcode;

    private Integer tgenecatalogdetail;

        public Long getCdocumento() {
    return cdocumento;
    }

        public void setCdocumento(Long cdocumento) {
    this.cdocumento = cdocumento;
    }

        public String getNumerodocumento() {
    return numerodocumento;
    }

        public void setNumerodocumento(String numerodocumento) {
    this.numerodocumento = numerodocumento;
    }

        public java.util.Date getFechaemision() {
    return fechaemision;
    }

        public void setFechaemision(java.util.Date fechaemision) {
    this.fechaemision = fechaemision;
    }

        public java.util.Date getFechaexpiracion() {
    return fechaexpiracion;
    }

        public void setFechaexpiracion(java.util.Date fechaexpiracion) {
    this.fechaexpiracion = fechaexpiracion;
    }

        public String getCsolicitud() {
    return csolicitud;
    }

        public void setCsolicitud(String csolicitud) {
    this.csolicitud = csolicitud;
    }

        public String getXpath() {
    return xpath;
    }

        public void setXpath(String xpath) {
    this.xpath = xpath;
    }

        public String getCodigoarma() {
    return codigoarma;
    }

        public void setCodigoarma(String codigoarma) {
    this.codigoarma = codigoarma;
    }

        public Short getCuentareimpresion() {
    return cuentareimpresion;
    }

        public void setCuentareimpresion(Short cuentareimpresion) {
    this.cuentareimpresion = cuentareimpresion;
    }

        public String getCcentrocontrol() {
    return ccentrocontrol;
    }

        public void setCcentrocontrol(String ccentrocontrol) {
    this.ccentrocontrol = ccentrocontrol;
    }

        public String getObservacion() {
    return observacion;
    }

        public void setObservacion(String observacion) {
    this.observacion = observacion;
    }

        public java.util.Date getFechacambioexpiracion() {
    return fechacambioexpiracion;
    }

        public void setFechacambioexpiracion(java.util.Date fechacambioexpiracion) {
    this.fechacambioexpiracion = fechacambioexpiracion;
    }

        public String getPathsuspencion() {
    return pathsuspencion;
    }

        public void setPathsuspencion(String pathsuspencion) {
    this.pathsuspencion = pathsuspencion;
    }

        public Integer getCarma() {
    return carma;
    }

        public void setCarma(Integer carma) {
    this.carma = carma;
    }

        public Integer getCtramite() {
    return ctramite;
    }

        public void setCtramite(Integer ctramite) {
    this.ctramite = ctramite;
    }

        public Integer getPersoncode() {
    return personcode;
    }

        public void setPersoncode(Integer personcode) {
    this.personcode = personcode;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

}